/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


#ifndef __QUICKPANEL_EDC_DEF_H__
#define __QUICKPANEL_EDC_DEF_H__

#define QP_BACKGROUND_COLOR "B011"

#define QP_WIN_W 480
#define QP_WIN_H 800

#define QP_BG_VISIBILITY	1
#define QP_BG_COLOR	"AO001"

#define QP_INDICATOR_H	0
#define QP_HANDLE_H	50

#define QP_SPN_H 41 //66
#define QP_SPN_TEXT_W 343 //520

#define QP_DATE_H	50

#define QP_COLOR_BLACK 0 0 0 255

#define QP_SETTING_NUM_PORTRAIT_ICONS 5
#define QP_SETTING_NUM_MINIMUM_ICON 8
#define QP_SETTING_NUM_TOTAL_ICON 8

#define QP_SETTING_MARGIN_L_W_P 0
#define QP_SETTING_MARGIN_L_W_L 0
#define QP_SETTING_MARGIN_R_W_P 0
#define QP_SETTING_MARGIN_R_W_L 0

#define QP_SETTING_DIVIDER_W_P 0
#define QP_SETTING_DIVIDER_W_L 0
#define QP_SETTING_ICON_MIN_H 66//154

#define QP_SETTING_BG_H	151
#define QP_SETTING_ICON_DRAGGING_BG_CORRECTION_W_P 0
#define QP_SETTING_ICON_DRAGGING_BG_CORRECTION_W_L 0
#define QP_SETTING_ICON_DRAGGING_BG_MIN_H 72
#define QP_SETTING_ICON_DRAGGING_MARGIN 0

// WVGA
#define QP_SETTING_ICON_MIN_WH_WVGA 66
#define QP_SETTING_ICON_BG_MIN_W_P_WVGA 96
#define QP_SETTING_ICON_BG_MIN_W_P_TEXT_OFFSET_WVGA 7
#define QP_SETTING_ICON_BG_MIN_W_L_WVGA 100
#define QP_SETTING_ICON_BG_MIN_W_L_TEXT_OFFSET_WVGA 4
#define QP_SETTING_ICON_DRAGGING_BG_MIN_W_WVGA 66

// HD
#define QP_SETTING_ICON_MIN_WH_HD 72
#define QP_SETTING_ICON_BG_MIN_W_P_HD 109
#define QP_SETTING_ICON_BG_MIN_W_P_TEXT_OFFSET_HD 0
#define QP_SETTING_ICON_BG_MIN_W_L_HD 107
#define QP_SETTING_ICON_BG_MIN_W_L_TEXT_OFFSET_HD 0
#define QP_SETTING_ICON_DRAGGING_BG_MIN_W_HD 72

#define QP_THEME_BRIGHTNESS_BG_COLOR "B011"

#define QP_THEME_BG_VISIBILITY				0
#define QP_THEME_BG_COLOR				"B011"
#define QP_THEME_BANDED_COLOR	"B0211"
#define QP_THEME_ITEM_BG_COLOR "B041"
#define QP_THEME_ITEM_BG_PRESS_COLOR "B041P"
#define QP_THEME_ITEM_BG_PRESS_DIM_COLOR "AO013DP"
#define QP_THEME_SECTION_ICON_DIVIDER_COLOR "AO003"

#define QP_THEME_LIST_ITEM_SEPERATOR_HEIGHT 0
#define QP_THEME_LIST_ITEM_BRIGHTNESS_HEIGHT	76
#define QP_THEME_LIST_ITEM_MULTIWINDOW_HEIGHT 96 //135
#define QP_THEME_LIST_ITEM_SHORCUT_SOUND_HEIGHT 96 //135
#define QP_THEME_LIST_ITEM_SHORCUT_FEATURED_HEIGHT 96 //84
#define QP_THEME_LIST_ITEM_MINICONTRL_HEIGHT 140 //180
#define QP_THEME_LIST_ITEM_ONGOING_PROGRESS_HEIGHT 96//135
#define QP_THEME_LIST_ITEM_ONGOING_EVENT_HEIGHT 96 //135
#define QP_THEME_LIST_ITEM_ONGOING_EVENT_LINE3_HEIGHT 96
#define QP_THEME_LIST_ITEM_NOTI_SECTION_HEIGHT 51 //80
#define QP_THEME_LIST_ITEM_NOTIFICATION_LISTTYPE_HEIGHT 96
#define QP_THEME_LIST_ITEM_NOTIFICATION_LEGACY_SINGLE_MULTI_HEIGHT 96 //246

#define QP_THEME_LIST_ITEM_ICON_COLOR	"W0661"

#define BOX_PART_ICON "object.icon"
#define BOX_PART_ICON_SUB "object.icon.sub"
#define BOX_ICON_BG_SIZE_W 96
#define BOX_ICON_BG_SIZE_H 96
#define BOX_ICON_SIZE_W 96
#define BOX_ICON_SIZE_H 96
#define BOX_ICON_SUB_SIZE_W 29 //44
#define BOX_ICON_SUB_SIZE_H 29 //44
#define BOX_TEXT_TOP_PADDING 15
#define BOX_ICON_TOP_PADDING 20


#define BOX_COLOR_BG QP_THEME_ITEM_BG_COLOR
#define BOX_COLOR_BG_HIGHLIGHT QP_THEME_ITEM_BG_PRESS_COLOR
#define BOX_COLOR_BG_HIGHLIGHT_DIM QP_THEME_ITEM_BG_PRESS_DIM_COLOR
#define BOX_WIDTH_P 224 //340
#define BOX_HEIGHT_P 183 //278
#define BOX_WIDTH_L 269 //408
#define BOX_HEIGHT_L 183 //278

#define BOX_MARGIN_L_TEXT_H 10 //16
#define BOX_MARGIN_R_TEXT_H 6 //10
#define BOX_TEXT_CONTENTS_HEIGHT 25 //38
#define BOX_TEXT_INFO_HEIGHT 25 //38
#define BOX_TEXT_SUB_PADDING_WIDTH -2 //-3

#endif	/*__QUICKPANEL_EDC_DEF_H__*/
